%define realname	pychm

Summary: Python package to handle CHM files
Name:			python-chm
Version:		0.8.4
Release:		%mkrel 13
Source0: %{realname}-%{version}.tar.bz2
License: GPL
Group: Development/Python
BuildRequires:	chmlib-devel
BuildRequires:	python-devel
Url: http://gnochm.sourceforge.net
Provides: pychm

%description
The chm package provides three modules, chm, chmlib and extra,
which provide access to the API implemented by the C library
chmlib and some additional classes and functions. They are
used to access MS-ITSS encoded files - Compressed Html Help
files (.chm).

%prep
%setup -q -n %{realname}-%{version}

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%files
%doc README NEWS COPYING ChangeLog
%py_platsitedir/*




%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.8.4-13.mga6
+ Revision: 936537
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.4-12.mga5
+ Revision: 746984
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.4-11.mga5
+ Revision: 728221
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.4-10.mga5
+ Revision: 687929
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8.4-8.mga4
+ Revision: 543202
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.8.4-7.mga4
+ Revision: 498241
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.8.4-6.mga3
+ Revision: 378589
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 14 2011 ennael <ennael> 0.8.4-5.mga1
+ Revision: 85329
- clean spec file
- imported package python-chm


* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 0.8.4-5mdv2011.0
+ Revision: 598962
- update file list
- update file list

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.8.4-5mdv2010.0
+ Revision: 442068
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0.8.4-4mdv2009.0
+ Revision: 259546
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.8.4-3mdv2009.0
+ Revision: 247400
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.8.4-1mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Jul 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.4-1mdv2008.0
+ Revision: 52595
- update to new version 0.8.4


* Fri May 26 2006 Jerome Soyer <saispo@mandriva.org> 0.8.3-1mdv2007.0
- New release 0.8.3
- add Provides pychm

* Fri Mar 31 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.8.2-2mdk
- Rebuild

* Mon Feb 14 2005 Jerome Soyer <saispo@mandrake.org> 0.8.2-1mdk
- 0.8.2

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.8.0-2mdk
- Rebuild for new python

* Fri Jun 18 2004 Stefan van der Eijk <stefan@mandrake.org> 0.8.0-1mdk
- initial MDK package

